aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-06-04 18:42:06 +0300
committerYaroslav <contact@yaroslavps.com>2020-06-04 18:42:06 +0300
commitf46fca28aeefeeac5349345b4b778d2680b684ac (patch)
tree51aeea5631acfb0bfa0c8b6a274a3fee49559366 /dotfiles/.local
parent805f4ac3f28c3dbd01df090889fc1e34bb5dcd45 (diff)
downloadswayrice-f46fca28aeefeeac5349345b4b778d2680b684ac.tar.gz
swayrice-f46fca28aeefeeac5349345b4b778d2680b684ac.zip
little fix for vpn script
Diffstat (limited to 'dotfiles/.local')
-rwxr-xr-xdotfiles/.local/bin/togglevpn2
1 files changed, 2 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/togglevpn b/dotfiles/.local/bin/togglevpn
index 0bdeacb..8baed38 100755
--- a/dotfiles/.local/bin/togglevpn
+++ b/dotfiles/.local/bin/togglevpn
@@ -5,6 +5,8 @@ isup=$(ip a | grep wg0:)
if [ -z "$isup" ]; then
nmcli connection up wg0 && notify-send " VPN" "Wireguard VPN tunnel established" && exit
notify-send " VPN" "Error while trying to start Wireguard tunnel"
+ exit 1
fi
nmcli connection down wg0 && notify-send " VPN" "Wireguard VPN tunnel brought down" && exit
notify-send " VPN" "Error while trying to close Wireguard tunnel"
+exit 1